larryij
Posts: 3
Joined: Mon Mar 11, 2013 4:49 pm

apt-get problem

Wed Mar 20, 2013 9:35 pm

i have tried to ' sudo apt-get install fpc' but i get a error message saying "dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem." don't have a clue what to do i get this every time i attempt to install anything

plugwash
Forum Moderator
Forum Moderator
Posts: 3369
Joined: Wed Dec 28, 2011 11:45 pm

Re: apt-get problem

Thu Mar 21, 2013 12:15 am

Please run dpkg --configure -a as root and post the output.

larryij
Posts: 3
Joined: Mon Mar 11, 2013 4:49 pm

Re: apt-get problem

Sat Mar 23, 2013 9:11 pm

i think it might have worked but i will test in a mo and post the results but this is what i got when i typed what you asked "Setting up libgtk-3-common (3.4.2-6) ...
Setting up libfreetype6:armhf (2.4.9-1.1) ...
Setting up libsysfs2:armhf (2.1.0+repack-2) ...
Processing triggers for menu ...
Processing triggers for initramfs-tools ...
Setting up libxml2:armhf (2.8.0+dfsg1-7+nmu1) ...
Setting up libssl1.0.0:armhf (1.0.1e-1+rpi1) ...
Processing triggers for man-db ...
Setting up libgcrypt11:armhf (1.5.0-5) ...
Setting up libfuse2:armhf (2.9.0-2+deb7u1) ...
Setting up libpci3:armhf (1:3.1.9-6) ...
Setting up psmisc (22.19-1+deb7u1) ...
Setting up libwbclient0:armhf (2:3.6.6-5) ...
Setting up pciutils (1:3.1.9-6) ...
Setting up libdrm2:armhf (2.4.40-1~deb7u2) ...
Setting up libudev0:armhf (175-7.1) ...
Setting up libc-dev-bin (2.13-38+rpi2) ...
Setting up linux-libc-dev:armhf (3.2.35-2+rpi1) ...
Setting up libapt-inst1.5:armhf (0.9.7.7+rpi1) ...
Setting up gvfs-common (1.12.3-4) ...
Setting up cups-common (1.5.3-2.15) ...
Setting up libproxy0:armhf (0.3.1-6) ...
Setting up libtiff4:armhf (3.9.6-11) ...
Setting up libkrb5support0:armhf (1.10.1+dfsg-4) ...
Setting up libnewt0.52 (0.52.14-11.1) ...
Setting up fuse (2.9.0-2+deb7u1) ...
udev active, skipping device node creation.
update-initramfs: deferring update (trigger activated)
Setting up keyboard-configuration (1.88) ...
Setting up libgfortran3:armhf (4.7.2-5+rpi1) ...
Setting up xkb-data (2.5.1-3) ...
Setting up libsmpeg0:armhf (0.4.5+cvs20030824-5) ...
Setting up libgnutls26:armhf (2.12.20-4) ...
Setting up console-setup-linux (1.88) ...
Setting up libavutil51:armhf (6:0.8.5-1+rpi1) ...
Setting up libapt-pkg-dev:armhf (0.9.7.7+rpi1) ...
Setting up libmikmod2:armhf (3.1.12-5) ...
Setting up fontconfig-config (2.9.0-7.1) ...
Setting up udev (175-7.1) ...
Installing new version of config file /etc/init.d/udev ...
[ ok ] Stopping the hotplug events dispatcher: udevd.
[ ok ] Starting the hotplug events dispatcher: udevd.
update-initramfs: deferring update (trigger activated)
Setting up libpixman-1-0:armhf (0.26.0-4) ...
Setting up libglib2.0-0:armhf (2.33.12+really2.32.4-5) ...
Setting up libgomp1:armhf (4.7.2-5+rpi1) ...
Setting up libpolkit-gobject-1-0:armhf (0.105-3) ...
Setting up libavcodec53:armhf (6:0.8.5-1+rpi1) ...
Setting up libgudev-1.0-0:armhf (175-7.1) ...
Setting up libc6-dev:armhf (2.13-38+rpi2) ...
Setting up libdbus-glib-1-2:armhf (0.100.2-1) ...
Setting up libk5crypto3:armhf (1.10.1+dfsg-4) ...
Setting up libfontconfig1:armhf (2.9.0-7.1) ...
Setting up libpolkit-agent-1-0:armhf (0.105-3) ...
Setting up console-setup (1.88) ...
Setting up gvfs-libs:armhf (1.12.3-4) ...
Setting up libgstreamer0.10-0:armhf (0.10.36-1.1) ...
Setting up libpolkit-backend-1-0:armhf (0.105-3) ...
Setting up gvfs-daemons (1.12.3-4) ...
Setting up libpoppler19:armhf (0.18.4-5) ...
Setting up libkrb5-3:armhf (1.10.1+dfsg-4) ...
Setting up libcairo2:armhf (1.12.2-3) ...
Setting up libgssapi-krb5-2:armhf (1.10.1+dfsg-4) ...
Setting up libsmbclient:armhf (2:3.6.6-5) ...
Setting up libcairo-gobject2:armhf (1.12.2-3) ...
Setting up libcups2:armhf (1.5.3-2.15) ...
Setting up libcurl3:armhf (7.26.0-1+wheezy1) ...
Setting up gvfs:armhf (1.12.3-4) ...
Setting up libcupsimage2:armhf (1.5.3-2.15) ...
Setting up cups-client (1.5.3-2.15) ...
Setting up gvfs-backends (1.12.3-4) ...
Setting up curl (7.26.0-1+wheezy1) ...
Setting up libgtk-3-0:armhf (3.4.2-6) ...
Setting up libgtk-3-bin (3.4.2-6) ...
Setting up cups-bsd (1.5.3-2.15) ...
Setting up libgail-3-0:armhf (3.4.2-6) ...
Processing triggers for initramfs-tools ...
Setting up gvfs-fuse (1.12.3-4) ...
Setting up libdevmapper1.02.1:armhf (2:1.02.74-6+rpi1) ...
Setting up libdevmapper-event1.02.1:armhf (2:1.02.74-6+rpi1) ...
Setting up dmsetup (2:1.02.74-6+rpi1) ...
update-initramfs: deferring update (trigger activated)
Setting up libparted0debian1:armhf (2.3-12) ...
Setting up perl-modules (5.14.2-18+rpi1) ...
Setting up tasksel (3.14+nmu1) ...
Setting up tasksel-data (3.14+nmu1) ...
Setting up liblvm2app2.2:armhf (2.02.95-6+rpi1) ...
Setting up perl (5.14.2-18+rpi1) ...
Processing triggers for menu ...
Processing triggers for initramfs-tools ..."

larryij
Posts: 3
Joined: Mon Mar 11, 2013 4:49 pm

Re: apt-get problem

Sat Mar 23, 2013 10:13 pm

well i think it has stopped the problem however i then did"sudo apt-get install fpc" and it doesnt seem to want to run it i will try rebooting

plugwash
Forum Moderator
Forum Moderator
Posts: 3369
Joined: Wed Dec 28, 2011 11:45 pm

Re: apt-get problem

Sat Mar 23, 2013 10:28 pm

I don't see any errors in that dpkg output.

Can you post the output of "sudo apt-get install fpc"

Return to “Raspbian”